Skip to content

Customer ​

INFO

Every response arrives in the shared envelope — code, message, messages, status_code, time — with the payload in data. The tables below describe what is inside data.

POST /customer/create ​

This method allows adding customer into the account.

Request body

FieldTypeRequiredDescription
namestringYes
typestringNotype customer. One of: legal, natural
category_idstringNo
statestringNoOne of: new, warning, black_list, active
innstringNo
director_namestringNo
addressstringNo
delivery_addressobjectNo
delivery_address.longnumberNo
delivery_address.latnumberNo
delivery_address.human_addressobjectNo
delivery_address.human_address.addressstringNoDefault: "string"
delivery_address.human_address.citystringNoDefault: "string"
delivery_address.human_address.statestringNoDefault: "string"
delivery_address.human_address.zipstringNoDefault: "string"
bank_namestringNo
agent_idstringNo
responsible_idstringNo
account_numberstringNo
mfostringNo
loyalty_card_idstringNo
qqs_numberstringNo
phone_numberstringNo
phone_numbersstring[]No
company_phone_numberstringNo
descriptionstringNo
organization_idsstring[]Yes
debt_limitsobjectNo
debt_limits.organization_idstringNo
debt_limits.limitnumberNo
debt_limits.customer_idstringNo
organization_idstringNo
person_idstringNo
okedstringNo
genderstringNoOne of: male, female
imagestringNo
last_namestringNo
middle_namestringNo
birth_datestringNo
legal_person_idstringNo
telegram_linkstringNo
is_supplierbooleanNoDefault: false
statusstringNoOne of: active, inactive
short_namestringNo
web_sitestringNo
codestringNo
postal_codestringNo
owner_idstringNo
manager_idstringNo
custom_fieldsobjectNo
custom_fields._idstringNo
custom_fields.valueanyNo
json
{
  "name": "string",
  "type": "legal",
  "category_id": "string",
  "state": "new",
  "inn": "string",
  "director_name": "string",
  "address": "string",
  "delivery_address": {
    "long": 0,
    "lat": 0,
    "human_address": {
      "address": "string",
      "city": "string",
      "state": "string",
      "zip": "string"
    }
  },
  "bank_name": "string",
  "agent_id": "string",
  "responsible_id": "string",
  "account_number": "string",
  "mfo": "string",
  "loyalty_card_id": "string",
  "qqs_number": "string",
  "phone_number": "string",
  "phone_numbers": [
    "string"
  ],
  "company_phone_number": "string",
  "description": "string",
  "organization_ids": [
    "string"
  ],
  "debt_limits": {
    "organization_id": "string",
    "limit": 0,
    "customer_id": "string"
  },
  "organization_id": "string",
  "person_id": "string",
  "oked": "string",
  "gender": "male",
  "image": "string",
  "last_name": "string",
  "middle_name": "string",
  "birth_date": "string",
  "legal_person_id": "string",
  "telegram_link": "string",
  "is_supplier": false,
  "status": "active",
  "short_name": "string",
  "web_site": "string",
  "code": "string",
  "postal_code": "string",
  "owner_id": "string",
  "manager_id": "string",
  "custom_fields": {
    "_id": "string",
    "value": null
  }
}

Response

FieldTypeDescription
_idstringid of customer
created_atstring
updated_atstring
namestring
typestring
innstring
director_namestring
addressstring
bank_namestring
account_numberstring
pinflstring
director_pinflstring
mfostring
okedstring
qqs_numberstring
phone_numberstring
phone_numbersstring[]
company_phone_numberstring
descriptionstring
organization_idsstring[]
last_sale_atstring
first_sale_atstring
total_salenumber
avg_salenumber
pointnumber
balancenumber
balance_currency_idstring
balancesobject
balances.balancenumber
balances.balance_currency_idstring
balance_listobject[]
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "_id": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "type": "string",
    "inn": "string",
    "director_name": "string",
    "address": "string",
    "bank_name": "string",
    "account_number": "string",
    "pinfl": "string",
    "director_pinfl": "string",
    "mfo": "string",
    "oked": "string",
    "qqs_number": "string",
    "phone_number": "string",
    "phone_numbers": [
      "string"
    ],
    "company_phone_number": "string",
    "description": "string",
    "organization_ids": [
      "string"
    ],
    "last_sale_at": "string",
    "first_sale_at": "string",
    "total_sale": 0,
    "avg_sale": 0,
    "point": 0,
    "balance": 0,
    "balance_currency_id": "string",
    "balances": {
      "balance": 0,
      "balance_currency_id": "string"
    },
    "balance_list": [
      {}
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /customer/update ​

This method allows updating customer in the account.

Request body

FieldTypeRequiredDescription
namestringYes
typestringNotype customer. One of: legal, natural
category_idstringNo
statestringNoOne of: new, warning, black_list, active
innstringNo
director_namestringNo
addressstringNo
delivery_addressobjectNo
delivery_address.longnumberNo
delivery_address.latnumberNo
delivery_address.human_addressobjectNo
delivery_address.human_address.addressstringNoDefault: "string"
delivery_address.human_address.citystringNoDefault: "string"
delivery_address.human_address.statestringNoDefault: "string"
delivery_address.human_address.zipstringNoDefault: "string"
bank_namestringNo
agent_idstringNo
responsible_idstringNo
account_numberstringNo
mfostringNo
loyalty_card_idstringNo
qqs_numberstringNo
phone_numberstringNo
phone_numbersstring[]No
company_phone_numberstringNo
descriptionstringNo
organization_idsstring[]Yes
debt_limitsobjectNo
debt_limits.organization_idstringNo
debt_limits.limitnumberNo
debt_limits.customer_idstringNo
organization_idstringNo
person_idstringNo
okedstringNo
genderstringNoOne of: male, female
imagestringNo
last_namestringNo
middle_namestringNo
birth_datestringNo
legal_person_idstringNo
telegram_linkstringNo
is_supplierbooleanNoDefault: false
statusstringNoOne of: active, inactive
short_namestringNo
web_sitestringNo
codestringNo
postal_codestringNo
owner_idstringNo
manager_idstringNo
custom_fieldsobjectNo
custom_fields._idstringNo
custom_fields.valueanyNo
_idstringYesid of customer
json
{
  "name": "string",
  "type": "legal",
  "category_id": "string",
  "state": "new",
  "inn": "string",
  "director_name": "string",
  "address": "string",
  "delivery_address": {
    "long": 0,
    "lat": 0,
    "human_address": {
      "address": "string",
      "city": "string",
      "state": "string",
      "zip": "string"
    }
  },
  "bank_name": "string",
  "agent_id": "string",
  "responsible_id": "string",
  "account_number": "string",
  "mfo": "string",
  "loyalty_card_id": "string",
  "qqs_number": "string",
  "phone_number": "string",
  "phone_numbers": [
    "string"
  ],
  "company_phone_number": "string",
  "description": "string",
  "organization_ids": [
    "string"
  ],
  "debt_limits": {
    "organization_id": "string",
    "limit": 0,
    "customer_id": "string"
  },
  "organization_id": "string",
  "person_id": "string",
  "oked": "string",
  "gender": "male",
  "image": "string",
  "last_name": "string",
  "middle_name": "string",
  "birth_date": "string",
  "legal_person_id": "string",
  "telegram_link": "string",
  "is_supplier": false,
  "status": "active",
  "short_name": "string",
  "web_site": "string",
  "code": "string",
  "postal_code": "string",
  "owner_id": "string",
  "manager_id": "string",
  "custom_fields": {
    "_id": "string",
    "value": null
  },
  "_id": "string"
}

Response

Same response shape as POST /customer/create.

DELETE /customer/delete/{id} ​

Delete a customer

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /customer/get-by-id/{id} ​

Get customer using its _id

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

Same response shape as POST /customer/create.

POST /customer/get-paging ​

Get customers by paging

Request body

FieldTypeRequiredDescription
pagenumberYesDefault: 1
limitnumberYesDefault: 20
updated_atstringNo
organization_idstringNo
searchstringNo
phone_numberstringNo
json
{
  "page": 1,
  "limit": 20,
  "updated_at": "string",
  "organization_id": "string",
  "search": "string",
  "phone_number": "string"
}

Response

data.total is the total number of records and data.data[] holds the current page. The table below describes one record.

FieldTypeDescription
_idstringid of customer
created_atstring
updated_atstring
namestring
typestring
innstring
director_namestring
addressstring
bank_namestring
account_numberstring
pinflstring
director_pinflstring
mfostring
okedstring
qqs_numberstring
phone_numberstring
phone_numbersstring[]
company_phone_numberstring
descriptionstring
organization_idsstring[]
last_sale_atstring
first_sale_atstring
total_salenumber
avg_salenumber
pointnumber
balancenumber
balance_currency_idstring
balancesobject
balances.balancenumber
balances.balance_currency_idstring
balance_listobject[]
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "total": 0,
    "data": [
      {
        "_id": "string",
        "created_at": "string",
        "updated_at": "string",
        "name": "string",
        "type": "string",
        "inn": "string",
        "director_name": "string",
        "address": "string",
        "bank_name": "string",
        "account_number": "string",
        "pinfl": "string",
        "director_pinfl": "string",
        "mfo": "string",
        "oked": "string",
        "qqs_number": "string",
        "phone_number": "string",
        "phone_numbers": [
          "string"
        ],
        "company_phone_number": "string",
        "description": "string",
        "organization_ids": [
          "string"
        ],
        "last_sale_at": "string",
        "first_sale_at": "string",
        "total_sale": 0,
        "avg_sale": 0,
        "point": 0,
        "balance": 0,
        "balance_currency_id": "string",
        "balances": {
          "balance": 0,
          "balance_currency_id": "string"
        },
        "balance_list": [
          {}
        ]
      }
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

GET /customer/get-deleted ​

Get deleted customer ids

Query parameters

ParameterTypeRequiredDescription
deleted_atstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

PUT /customer/set-state ​

setState customer

Request body

FieldTypeRequiredDescription
_idstringYes
statestringYesOne of: black_list, new, active, warning
json
{
  "_id": "64b7f4d9e2b3b6a0b7c5d80a",
  "state": "new"
}

Response

Same response shape as POST /customer/create.

GET /customer/get-by-phone-number ​

Find a customer by phone number.

Query parameters

ParameterTypeRequiredDescription
phone_numberstringYes

Request body

No request body.

Response

Same response shape as POST /customer/create.


This page is generated from the OpenAPI spec.

Bito 2.0 Integration API